gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Display.Spinner

Contents

- Detail
- Types
- Constructors
- Methods
- Attributes

Description

Report messages of minor importance to the user

Synopsis

- data Spinner
- class DrawingAreaClass o => SpinnerClass o
- castToSpinner :: GObjectClass obj => obj -> Spinner
- gTypeSpinner :: GType
- toSpinner :: SpinnerClass o => o -> Spinner
- spinnerNew :: IO Spinner
- spinnerStart :: SpinnerClass spinner => spinner -> IO ()
- spinnerStop :: SpinnerClass spinner => spinner -> IO ()
- spinnerActive :: SpinnerClass spinner => Attr spinner Bool

# Detail

A `Spinner` widget displays an icon-size spinning animation. It is often used as an alternative to a `ProgressBar` for displaying indefinite activity, instead of actual progress.

To start the animation, use `spinnerStart`.

# Types

data Spinner Source #

#### Instances

Instances details

Eq Spinner Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: Spinner -> Spinner -> Bool Source # (/=) :: Spinner -> Spinner -> Bool Source #
Ord Spinner Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods compare :: Spinner -> Spinner -> Ordering Source # (<) :: Spinner -> Spinner -> Bool Source # (<=) :: Spinner -> Spinner -> Bool Source # (>) :: Spinner -> Spinner -> Bool Source # (>=) :: Spinner -> Spinner -> Bool Source # max :: Spinner -> Spinner -> Spinner Source # min :: Spinner -> Spinner -> Spinner Source #
GObjectClass Spinner Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: Spinner -> GObject Source # unsafeCastGObject :: GObject -> Spinner Source #
DrawingAreaClass Spinner Source # |
Instance details Defined in Graphics.UI.Gtk.Types
SpinnerClass Spinner Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass Spinner Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class DrawingAreaClass o => SpinnerClass o Source #

#### Instances

Instances details

SpinnerClass Spinner Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToSpinner :: GObjectClass obj => obj -> Spinner Source #

gTypeSpinner :: GType Source #

toSpinner :: SpinnerClass o => o -> Spinner Source #

# Constructors

spinnerNew :: IO Spinner Source #

Returns a new spinner widget. Not yet started.

# Methods

spinnerStart :: SpinnerClass spinner => spinner -> IO () Source #

Starts the animation of the spinner.

spinnerStop :: SpinnerClass spinner => spinner -> IO () Source #

Stops the animation of the spinner.

# Attributes

spinnerActive :: SpinnerClass spinner => Attr spinner Bool Source #

Whether the spinner is active.

Default value: `False`